#By Jan Sandstrm www.pixero.com
# 2009-06-11
# Sets the transition time to all pages according to chosen framerate.
require 'sketchup.rb'


def changeTransitionTimes

@model=Sketchup.active_model
@view=@model.active_view
@pages=@model.pages
	

	prompts=["Frame Rate"]  
	values=["25.0"]    # PAL 25, NTSC 30, Web 15
	results=UI.inputbox(prompts,values,"Set Transition Time")

	if results
		@frame_rate=results[0].to_f
	end #if	

@time_step=1.0/@frame_rate


	@pages = []
	@values = []
	Sketchup.active_model.pages.each {|page| @pages.push(page)}
	@pages.each {|page| @values.push(page.transition_time)}	
	0.upto(@pages.length-1) do |x|			
		@pages[x].transition_time = @time_step.to_f
	end	
end#def

if( not file_loaded?("changeTransitionTimes.rb") )
    UI.menu("Camera").add_item("JS Change Transition Times") { changeTransitionTimes }
end

file_loaded("changeTransitionTimes.rb")